=== debian/changelog ===
lomiri-telephony-service (0.5-2) unstable; urgency=medium

  * Re-upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jan 2023 20:27:52 +0100

lomiri-telephony-service (0.5-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1028589).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 15:53:04 +0100
