=== tools/CMakeLists.txt ===
install(PROGRAMS ofono-setup DESTINATION ${CMAKE_INSTALL_BINDIR})
install(PROGRAMS phone-gsettings-migration.py DESTINATION ${CMAKE_INSTALL_BINDIR})
