=== debian/changelog ===
lomiri-telephony-service (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 11:56:36 +0100
