=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/telephony-service/tags .*/telephony-service-(\d\S+)\.tar\.gz
