## lomiri-telephony-service 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(telephony-service VERSION 0.5.1 LANGUAGES CXX)
+project(telephony-service VERSION 0.5.3 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths
@@ -15,7 +15,7 @@
 # just to make debug easier, print the system processor
 message(STATUS "System processor: ${CMAKE_SYSTEM_PROCESSOR}")
 
-set(TELEPHONY_SERVICE_DIR ${CMAKE_INSTALL_DATADIR}/telephony-service)
+set(TELEPHONY_SERVICE_DIR ${CMAKE_INSTALL_FULL_DATADIR}/telephony-service)
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
@@ -41,7 +41,7 @@
 option(SKIP_QML_TESTS "Skip QML tests" OFF)
 option(WANT_UI_SERVICES "Enable build of UI services" ON)
 
-if(CMAKE_CROSSCOMPILING)
+if(NOT CMAKE_CROSSCOMPILING)
     find_program(QMAKE_EXECUTABLE qmake)
     if(QMAKE_EXECUTABLE STREQUAL "QMAKE_EXECUTABLE-NOTFOUND")
         message(FATAL_ERROR "qmake not found")
@@ -100,7 +100,7 @@
 
 enable_testing()
 
-add_definitions(-std=c++11)
+set(CMAKE_CXX_STANDARD 17)
 
 set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
 # install assets
